<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('views','ViewsController');
// มา post
Route::get('/post/create', 'PostController@create')->name('post.create');
// add to DB
Route::post('/post/store', 'PostController@store')->name('post.store');

Route::get('/posts', 'PostController@ppost')->name('posts');
Route::get('/post/show/{id}', 'PostController@show')->name('post.show');
Route::post('/comment/store', 'CommentController@store')->name('comment.add');
Route::post('/reply/store', 'CommentController@replyStore')->name('reply.add');
// Route::resource('new','NewController');
Route::get('/post', function () {
    return view('post');
});

// Route::get('/index1', function () {
//     return view('index1');
// });

Route::get('/show', function () {
    return view('show');
});

Route::get('/about', function () {
    return view('about');
});

Route::get('/travel', function () {
    return view('travel');
});

Route::get('/single', function () {
    return view('single');
});

Route::get('/fashion', function () {
    return view('fashion');
});

Route::get('/contact', function () {
    return view('contact');
});

Route::get('/create', function () {
    return view('create');
});

Route::get('/Views', function () {
    return view('views');
});



// Route::get('/product', function () {
//     return view('product');
// });
